package com.ruoyi.warehouseBusiness.domain.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 仓储费明细表对象 t_warehouse_agreementitems
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TWarehouseAgreementitem extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 货转客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name，自有在货权转移是该字段有效
     */
    @Excel(name = "车队")
    private Long fFleet;

    /**
     * 货转客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name，自有在货权转移是该字段有效
     */
    @Excel(name = "劳务")
    private Long fLabour ;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private Long fCorpid;

    /**
     * 费用名称,存储id 显示名称	t_fees 中的no或 name，模糊查找选择后，存储f_id，显示name
     */
    @Excel(name = "费用名称,存储id 显示名称	t_fees 中的no或 name，模糊查找选择后，存储f_id，显示name")
    private Long fFeeid;

    /**
     * 作业费类型
     */
    @Excel(name = "作业费类型")
    private Long fTaskType;

    /**
     * 作业费类型
     */
    @Excel(name = "作业费类型")
    private String  fBilltype;


    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfFleet() {
        return fFleet;
    }

    public void setfFleet(Long fFleet) {
        this.fFleet = fFleet;
    }

    public Long getfLabour() {
        return fLabour;
    }

    public void setfLabour(Long fLabour) {
        this.fLabour = fLabour;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public Long getfFeeid() {
        return fFeeid;
    }

    public void setfFeeid(Long fFeeid) {
        this.fFeeid = fFeeid;
    }

    public Long getfTaskType() {
        return fTaskType;
    }

    public void setfTaskType(Long fTaskType) {
        this.fTaskType = fTaskType;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }

    @Override
    public String toString() {
        return "TWarehouseAgreementitem{" +
                "fId=" + fId +
                ", fFleet=" + fFleet +
                ", fLabour=" + fLabour +
                ", fCorpid=" + fCorpid +
                ", fFeeid=" + fFeeid +
                ", fTaskType=" + fTaskType +
                '}';
    }
}
